Subject: Re: [PATCH v10 vfio 4/7] vfio/pds: Add VFIO live migration support

From: Jason Gunthorpe <[email-masked]>
Date: Wed, 21 Jun 2023 10:27:28 -0300

On Wed, Jun 21, 2023 at 06:49:12AM +0000, Tian, Kevin wrote:

> What is the criteria for 'reasonable'? How does CSPs judge that such
> device can guarantee a *reliable* reasonable window so live migration
> can be enabled in the production environment?

The CSP needs to work with the device vendor to understand how it fits
into their system, I don't see how we can externalize this kind of
detail in a general way.
 
> I'm afraid that we are hiding a non-deterministic factor in current protocol.

Yes

> But still I don't think it's a good situation where the user has ZERO
> knowledge about the non-negligible time in the stopping path...

In any sane device design this will be a small period of time. These
timeouts should be to protect against a device that has gone wild.

Jason